Bug 71278 - Dlink PCI card drivers neither apparent nor working
Dlink PCI card drivers neither apparent nor working
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-11 16:26 EDT by R P Herrold
Modified: 2014-03-16 22:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 17:57:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-08-11 16:26:43 EDT
A PCI based DLINK prism-II chipset choice is not appearant, nor having manually
found experimentally whid shih does not spit error, work

lspci -v -v -v is (I have bracketed the card with **************):

Date: Sun, 11 Aug 2002 16:16:30 -0400
From: root <root@dhcp252.basement.net>
To: herrold@dhcp252.basement.net
Subject: dlink

00:00.0 Host bridge: VIA Technologies, Inc. VT82C598 [Apollo MVP3] (rev 04)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR+
        Latency: 16
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0
                Status: RQ=7 SBA+ 64bit- FW- Rate=x1,x2
                Command: RQ=0 SBA- AGP- 64bit- FW- Rate=<none>

00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x
AGP] (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: e4000000-e7ffffff
        Prefetchable memory behind bridge: e8000000-e8ffffff
        BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-

00:07.0 ISA bridge: VIA Technologies, Inc. VT82C586/A/B PCI-to-ISA [Apollo VP]
(rev 47)
        Subsystem: VIA Technologies, Inc. MVP3 ISA Bridge
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

00:07.1 IDE interface: VIA Technologies, Inc. VT82C586B PIPC Bus Master IDE

(rev 06) (prog-if 8a [Master SecP PriP])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Region 4: I/O ports at e000 [size=16]

00:07.2 USB Controller: VIA Technologies, Inc. USB (rev 02) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. (Wrong ID) USB Controller
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, cache line size 08
        Interrupt: pin D routed to IRQ 10
        Region 4: I/O ports at e400 [size=32]


00:07.3 Host bridge: VIA Technologies, Inc. VT82C586B ACPI (rev 10)
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-

******************************************

00:12.0 Network controller: Harris Semiconductor Prism 2.5 Wavelan chipset (rev
01)
        Subsystem: D-Link System Inc DWL-520 Wireless PCI Adapter
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, cache line size 08
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at ea001000 (32-bit, prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

*****************************************
00:14.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev
30)
        Subsystem: 3Com Corporation 3C905B Fast Etherlink XL 10/100
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR+
        Latency: 64 (2500ns min, 2500ns max), cache line size 08
        Interrupt: pin A routed to IRQ 10
        Region 0: I/O ports at e800 [size=128]
        Region 1: Memory at ea000000 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at e9000000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA 2164W [Millennium
II] AGP (prog-if 00 [VGA])
        Subsystem: Matrox Graphics, Inc.: Unknown device 1000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e8000000 (32-bit, prefetchable) [size=16M]
        Region 1: Memory at e4000000 (32-bit, non-prefetchable) [size=16K]
        Region 2: Memory at e5000000 (32-bit, non-prefetchable) [size=8M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [f0] AGP version 1.0
                Status: RQ=0 SBA- 64bit- FW- Rate=<none>
                Command: RQ=0 SBA- AGP- 64bit- FW- Rate=<none>

================================

Ask it you need more -- the is the 'B1' release of the card set -- the A2
variant will not PCI detect.

-- Russ herrold
Comment 1 Trond Eivind Glomsrxd 2002-08-12 12:39:59 EDT
Drivers for PCI cards are set up by kudzu
Comment 2 Bill Nottingham 2002-08-12 16:41:48 EDT
Does it work at all with orinoco_plx?
Comment 3 R P Herrold 2002-08-15 14:04:20 EDT
current RawHide hwdata update permitted it to find the card last night

-- it is now detecting the card (and two others I ahve been testing ...)

BUT it is not amending /etc/modules.conf -- should it be?

Date: Thu, 15 Aug 2002 02:36:12 -0400
From: root <root@dhcp252.basement.net>
To: herrold@owlriver.com
Subject: modules.conf

alias parport_lowlevel parport_pc
alias eth0 3c59x
alias usb-controller usb-uhci

=========================================================


Thu, 15 Aug 2002 02:35:04 -0400
From: root <root@dhcp252.basement.net>
To: herrold@owlriver.com
Subject: isconfig

eth1      IEEE 802.11-DS  ESSID:""  Nickname:"Prism  I"
          Mode:Managed  Frequency:42.9497GHz  Access Point: 00:00:00:00:00:00
          Bit Rate:11Mb/s   Tx-Power=15 dBm   Sensitivity:1/3
          Retry min limit:8   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0/92  Signal level:-68 dBm  Noise level:-122 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth2      IEEE 802.11-DS  ESSID:""
          Mode:Managed  Frequency:2.412GHz  Access Point: FF:FF:FF:FF:FF:FF
          Bit Rate:11Mb/s   Tx-Power=15 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0/10  Signal level:-96 dBm  Noise level:-256 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth3      IEEE 802.11-DS  ESSID:""  Nickname:"Prism  I"
          Mode:Managed  Frequency:2.462GHz  Access Point: 00:00:00:00:00:00
          Bit Rate:11Mb/s   Tx-Power=15 dBm   Sensitivity:1/3
          Retry min limit:8   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality:0/92  Signal level:134/153  Noise level:134/153
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0


===========================


00:11.0 Network controller: Harris Semiconductor Prism 2.5 Wavelan chipset (rev
01)
        Subsystem: D-Link System Inc DWL-520 Wireless PCI Adapter
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping-
SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort-
<MAbort- >SERR- <PERR-
        Latency: 64, cache line size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at ee000000 (32-bit, prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-


00:12.0 Network controller: AIRONET Wireless Communications PC4800 (rev 01)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping-
SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort-
<MAbort- >SERR- <PERR+
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at ee003000 (32-bit, non-prefetchable) [size=128]
        Region 1: I/O ports at d800 [size=128]
        Region 2: I/O ports at dc00 [size=64]

00:13.0 Network controller: Unknown device 1638:1100 (rev 02)
        Subsystem: Unknown device 1638:1100
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping-
SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort-
<MAbort- >SERR- <PERR+
        Interrupt: pin A routed to IRQ 9
        Region 1: I/O ports at e000 [size=128]
        Region 2: Memory at ee001000 (32-bit, non-prefetchable) [size=4K]
        Region 3: I/O ports at e400 [size=64]



00:14.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev
30)
        Subsystem: 3Com Corporation 3C905B Fast Etherlink XL 10/100
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping-
SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort-
<MAbort- >SERR- <PERR+
        Latency: 64 (2500ns min, 2500ns max), cache line size 08
        Interrupt: pin A routed to IRQ 10
        Region 0: I/O ports at e800 [size=128]
        Region 1: Memory at ee002000 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at ed000000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA 2164W [Millennium
II] AGP
(prog-if 00 [VGA])
        Subsystem: Matrox Graphics, Inc.: Unknown device 1000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping-
SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort-
<MAbort- >SERR- <PERR-
        Latency: 64
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at ec000000 (32-bit, prefetchable) [size=16M]
        Region 1: Memory at e4000000 (32-bit, non-prefetchable) [size=16K]
        Region 2: Memory at e5000000 (32-bit, non-prefetchable) [size=8M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [f0] AGP version 1.0
                Status: RQ=0 SBA- 64bit- FW- Rate=<none>
                Command: RQ=0 SBA- AGP- 64bit- FW- Rate=<none

Module                  Size  Used by    Not tainted
soundcore               6244   0  (autoclean)
3c59x                  29776   1
iptable_filter          2316   0  (autoclean) (unused)
ip_tables              14424   1  [iptable_filter]
ide-scsi                9808   0
scsi_mod              102984   1  [ide-scsi]
ide-cd                 31652   0
cdrom                  30880   0  [ide-cd]
mousedev                5268   1
keybdev                 2752   0  (unused)
hid                    20996   0  (unused)
input                   5728   0  [mousedev keybdev hid]
usb-uhci               24588   0  (unused)
usbcore                72448   1  [hid usb-uhci]
ext3                   81064   2
jbd                    48724   2  [ext3]
mbcache                 6384   1  [ext3]
-

ER
bus: PCI
detached: 0
driver: agpgart
desc: "VIA Technologies|VT82C598 [Apollo MVP3]"
vendorId: 1106
deviceId: 0598
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: ignore
desc: "VIA Technologies|VT82C598/694x [Apollo MVP3/Pro133x AGP]"
vendorId: 1106
deviceId: 8598
subVendorId: 0000


class: OTHER
bus: PCI
detached: 0
driver: ignore
desc: "VIA Technologies|VT82C598/694x [Apollo MVP3/Pro133x AGP]"
vendorId: 1106
deviceId: 8598
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: ignore
desc: "VIA Technologies|VT82C586/A/B PCI-to-ISA [Apollo VP]"
vendorId: 1106
deviceId: 0586
subVendorId: 1106
subDeviceId: 0000
pciType: 1
-

class: OTHER
bus: PCI
detached: 0
driver: ignore
desc: "VIA Technologies|VT82C586B PIPC Bus Master IDE"
vendorId: 1106
deviceId: 0571
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: ignore
desc: "VIA Technologies|VT82C586B ACPI"
vendorId: 1106
deviceId: 3040
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-

R
bus: PCI
detached: 0
driver: orinoco_pci
desc: "Harris Semiconductor|Prism 2.5 Wavelan chipset"
vendorId: 1260
deviceId: 3873
subVendorId: 1186
subDeviceId: 3501
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: airo
desc: "AIRONET Wireless Communications|PC4800"
vendorId: 14b9
deviceId: 4800
subVendorId: 0000
subDeviceId: 0000
pciType: 1


class: OTHER
bus: PCI
detached: 0
driver: orinoco_plx
desc: "SMC|EZConnect SMC2602W / Eumitcom PCI WL11000 / Addtron AWA-100"
vendorId: 1638
deviceId: 1100
subVendorId: 1638
subDeviceId: 1100
pciType: 1
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
vendorId: 0000
deviceId: 0000
usbprod: USB UHCI Root Hub

class: NETWORK
bus: PCI
detached: 0
device: eth
driver: 3c59x
desc: "3Com Corporation|3c905B 100BaseTX [Cyclone]"
vendorId: 10b7
deviceId: 9055
subVendorId: 10b7
subDeviceId: 9055
pciType: 1
-
class: MOUSE
bus: PSAUX
detached: 0
device: psaux
driver: generic3ps/2
desc: "Generic 3 Button Mouse (PS/2)"
-

class: CDROM
bus: SCSI
detached: 0
device: scd0
driver: ignore
desc: "Saf CD-RW4424A"
host: 0
id: 0
channel: 0
lun: 0
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:Matrox Millennium II
desc: "Matrox|MGA 2164W [Millennium II] AGP"
vendorId: 102b
deviceId: 051f
subVendorId: 102b
subDeviceId: 1000
pciType: 1
-

-
class: FLOPPY
bus: MISC
detached: 0
device: fd0
driver: unknown
desc: "3.5" 1.44MB floppy drive"
-
class: HD
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "ST310210A"
physical: 19767/16/63
logical: 19767/16/63
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "VIA Technologies|USB"
vendorId: 1106
deviceId: 3038
subVendorId: 0925
subDeviceId: 1234
pciType: 1



-





Comment 4 R P Herrold 2002-10-28 16:09:57 EST
Card works fine, once manually modprobe-ing the _plx module in 

Modules.conf still not being updated in RHL 8.0 gols, initial ship

-- Should this move to the Kudzu component?
Comment 5 Bill Nottingham 2002-10-28 23:05:30 EST
Yeah. Hm, they don't show up as 'ethernet' devices, that's why they're not
configured.
Comment 6 Eric Kerin 2003-05-01 14:49:27 EDT
I found the problem, 
The DLink Cards, as well as the Aironet Cards a PCI Major class 0x02 (NETWORK)
and Subclass of 0x80 (OTHER),  which isn't in the type detection code in kudzu.

To Fix: 
In the function pciToKudzu in pci.c (sorry don't know where kudzu's CVS is, or
I'd use cvs diff)  I added the lines:
___BEGIN___
	case PCI_CLASS_NETWORK_OTHER:
		return CLASS_NETWORK;
___END___

and this fixes the detection problem in kudzu. 
Comment 7 Bill Nottingham 2003-05-01 14:51:26 EDT
This is not a 100% solution... blindly mapping 'other' network controllers to
ethernet devices leads to trying to configure ISDN, WAN, and other adapters as
ethernet.
Comment 8 Bill Nottingham 2005-02-04 17:57:34 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please attempt to confirm with more recent releases.

Note You need to log in before you can comment on or make changes to this bug.